## org.eclipse.emf.common.util
Interface Monitor

All Known Implementing Classes:
  BasicMonitor, BasicMonitor.EclipseSubProgress, BasicMonitor.Printing

    public interface Monitor

An task monitor that provides control and feedback.

Field Summary
`static int` `UNKNOWN` Represents an unknown amount or work.

Method Summary
`void` `beginTask(java.lang.String name, int totalWork)` Called once per instance to indicate the name of the task and its expected duration.
`void` `clearBlocked()` Clears the reason for the activity being blocked.
`void` `done()` Called to indicate the task is complete.
`void` `internalWorked(double work)` Called by subprogress monitors to do fractional work.
`boolean` `isCanceled()` Returns whether the activity has been canceled.
`void` `setBlocked(Diagnostic reason)` Sets the reason for the activity being blocked.
`void` `setCanceled(boolean value)` Sets whether the active should be canceled.
`void` `setTaskName(java.lang.String name)` Update the task name.
`void` `subTask(java.lang.String name)` Sets the current subtask of the overall task.
`void` `worked(int work)` Called to indicate the amount or progress on the task.

Field Detail

### UNKNOWN

    static final int UNKNOWN

  Represents an unknown amount or work.

  See Also:
    Constant Field Values

Method Detail

### isCanceled

    boolean isCanceled()

  Returns whether the activity has been canceled.

### setCanceled

    void setCanceled(boolean value)

  Sets whether the active should be canceled.

### setBlocked

    void setBlocked(Diagnostic reason)

  Sets the reason for the activity being blocked.

### clearBlocked

    void clearBlocked()

  Clears the reason for the activity being blocked.

### beginTask

    void beginTask(java.lang.String name,
                   int totalWork)

  Called once per instance to indicate the name of the task and its expected duration.

### setTaskName

    void setTaskName(java.lang.String name)

  Update the task name.

### subTask

    void subTask(java.lang.String name)

  Sets the current subtask of the overall task.

### worked

    void worked(int work)

  Called to indicate the amount or progress on the task.

### internalWorked

    void internalWorked(double work)

  Called by subprogress monitors to do fractional work.

### done

    void done()

  Called to indicate the task is complete.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.